# Generator nodes

The generator nodes are nodes that do not accept any input and generate one or several images.

- Uniform node
  - Inputs
  - Outputs
  - Parameters
- Image node
  - Inputs
  - Outputs
  - Parameters
- Pattern node
  - Inputs
  - Outputs
  - Parameters
- Bricks node
  - Inputs
  - Outputs
  - Parameters
  - Notes
- Noise node
  - Inputs
  - Outputs
  - Parameters
  - Notes
- Perlin noise node
  - Inputs
  - Outputs
  - Parameters
  - Notes
- Voronoi noise node
  - Inputs
  - Outputs
  - Parameters
  - Notes